/**
 * Scripts like you could use it in a wrt widget :)
 * 
 */

var viewportHeight;
var viewportWidth;
var currentView;
var currentOrientation;

function init(){
	checkView();
}

function resize() {
	checkView();
}

function checkView() {
	if(Helper.isMiniViewMode()) setMiniView();
	if(Helper.isLandscape()) setMainViewl();
    if(Helper.isLargeScreen()) setMainView();
	
	
}

function setMiniView() {
	viewportHeight = 85;
	viewportWidth = 309;
	currentView = 'mini';
	$('#mainview').hide();
	$('#mainviewl').hide();
	$('#miniview').show();
}

function setMainView() {
	currentView = 'main';
	$('#mainview').show();
	$('#mainviewl').hide();
	$('#miniview').hide();
	checkOrientation();
}

function setMainViewl() {
	currentView = 'main';
	$('#mainview').hide();
	$('#mainviewl').show();
	$('#miniview').hide();
	checkOrientation();
}


function checkOrientation() {
	var w = window.innerWidth;
	if(w > 360) setLandscape();
	else setPortrait();
}

function setLandscape() {
	viewportHeight = 360;
	viewportWidth = 640;
	currentOrientation = 'landscape';
	$('#mainviewl span').html(' in landscape mode');
	useFullScreen();
}

function setPortrait() {
	viewportHeight = 640;
	viewportWidth = 360;
	currentOrientation = 'portrait';
	$('#mainview span').html(' in portrait mode');
	useFullScreen();
}



function useFullScreen()
{
 // choose to hide the softkey pane to get more screen space
 window.menu.hideSoftkeys();
}


var ImagePreloader = {
	list: [],
	images: [],
	
	add: function( images ) {
		this.list = this.list.concat( images );
	},
	
	start: function() {
		for (var i = 0; i < this.list.length; i++) {
			var img = new Image();
			img.src = this.list[i];
			
			this.images.push( img );
		}		
	}
}

// Preload images before they are displayed to avoid flicker
// when loading them up for the first time.
function preloadImages() {
	if ( Helper.isLargeScreen() ) {
		ImagePreloader.add( [
			"bg.jpg",
			"bg2.jpg",
			"bg3.jpg" ] );		
	} else {
		ImagePreloader.add( [
			"bg.jpg",
			"bg2.jpg",
			"bg3.jpg" ] );				
	}

	ImagePreloader.start();
}

/*
 * an example of how to get the keys
 * 
 */

/*
function setSoftKeys() {
	widget.setNavigationEnabled(false);
	$(document).keydown(function(evt) {
		switch (evt.keyCode) {
			
			case 0: // center button
				break;
			
			case 37: // left button
			case 38: // up button
				goToPreviousItem();
				break;
			
			case 39: // right button
			case 40: // down button
				goToNextItem();
				break;
				
		}
	});
}
*/